/* paloma.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef PALOMA_H
#define PALOMA_H

#include "palomaWindow.h"
#include "dataset.h"

#include <gtk--.h>
#include <string>
#include <vector>

class CDDialog;

class Paloma : public PalomaWindow {
public:
  Paloma(const Dataset &data, const string &title, 
	 const vector<string> &cds, bool show_dove);
  ~Paloma();

  void menu_scan_cd(string device_name);
  void menu_import();
  void menu_export_cds();
  void menu_export_songs();
  void menu_configure();
  void menu_quit();

  void menu_lookup_artists();
  void menu_lookup_cds();
  void menu_lookup_songs();
  void menu_begin_query(int form_id);

private:
  void make_pixmaps();
  void layout_window(const vector<string> &cds);

  Gtk_VBox _box1;
  Gtk_ItemFactory_MenuBar _menu;
  Gtk_ObjectHandle<Gtk_MenuBar> _menubar;
  Gtk_Pixmap _dove_pixmap;

  Gdk_Pixmap _dove_gdk_pixmap;
  Gdk_Bitmap _dove_gdk_mask;
  
  string _title;
  bool _show_dove;

  Dataset _data;
};

// This is the global pointer to the main application window.  It's
// filled in by main().
extern Paloma *paloma;

#endif


